#ifndef __SPRITE_H__
#define __SPRITE_H__

struct sprite {
  s16 top_left_x ;
  s16 top_left_y ;
  u16 width ;
  u16 height ;
  u32 *pixels ;
  u8 *mask ;
  u32 *saved_bg ;
  u8 displayed ;
};

struct sprite *alloc_sprite (u16 width, u16 height, u32 *pixels, u8 *mask) ;
void free_sprite (struct sprite *sprite) ;
void show_sprite (struct sprite *sprite) ;
void hide_sprite (struct sprite *sprite) ;
void move_sprite (struct sprite *sprite, s16 x, s16 y) ;
#endif
